Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™
Author Message
sniperz53
New Member
New Member


Joined: Oct 21, 2005
Posts: 8

PostPosted: Thu Nov 10, 2005 10:02 am Reply with quote

Hey guys whats up

I am currently running a site Only registered users can see links on this board! Get registered or login!

I am trying to install this utility but I am running into problems with the mainfile.php

Heres the problem I am running autotheme with ym site and Im afraid its changed some of the code as to not allow me to run this utility Sad

Nuke 7.8 not patched
Autotheme Lite.8

but here is the problem!

This doesn't exist in my mainfile.php
Code:
if (defined('FORUM_ADMIN')) {

   @require_once("../../../config.php");
   @require_once("../../../db/db.php");
   @require_once("../../../includes/sql_layer.php");
   if (file_exists("../../../includes/custom_files/custom_mainfile.php")) { @include_once("../../../includes/custom_files/custom_mainfile.php"); }
   @require_once("../../../includes/ipban.php");
   if (defined('NUKE_HEADER') && file_exists("../../../includes/custom_files/custom_head.php")) { @include_once("../../../includes/custom_files/custom_head.php"); }
   if (defined('NUKE_HEADER') && file_exists("../../../includes/custom_files/custom_header.php")) { @include_once("../../../includes/custom_files/custom_header.php"); }
} elseif (defined('INSIDE_MOD')) {
   @require_once("../../config.php");
   @require_once("../../db/db.php");
   @require_once("../../includes/sql_layer.php");
   if (file_exists("../../includes/custom_files/custom_mainfile.php")) { @include_once("../../includes/custom_files/custom_mainfile.php"); }
   @require_once("../../includes/ipban.php");
   if (defined('NUKE_HEADER') && file_exists("../../includes/custom_files/custom_head.php")) { @include_once("../../includes/custom_files/custom_head.php"); }
   if (defined('NUKE_HEADER') && file_exists("../../includes/custom_files/custom_header.php")) { @include_once("../../includes/custom_files/custom_header.php"); }
} else {
   @require_once("config.php");
   @require_once("db/db.php");
   @require_once("includes/sql_layer.php");
   if (file_exists("includes/custom_files/custom_mainfile.php")) { @include_once("includes/custom_files/custom_mainfile.php"); }
   @require_once("includes/ipban.php");
   if (defined('NUKE_HEADER') && file_exists("includes/custom_files/custom_head.php")) { @include_once("includes/custom_files/custom_head.php"); }
   if (defined('NUKE_HEADER') && file_exists("includes/custom_files/custom_header.php")) { @include_once("includes/custom_files/custom_header.php"); }
}



It looks like this}
Code:


if (defined('FORUM_ADMIN')) {
   require_once("../../../config.php");
   require_once("../../../db/db.php");
} elseif (defined('INSIDE_MOD')) {
   require_once("../../config.php");
   require_once("../../db/db.php");
} else {
   require_once("config.php");
   require_once("db/db.php");
   /* FOLLOWING TWO LINES ARE DEPRECATED BUT ARE HERE FOR OLD MODULES COMPATIBILITY */
   /* PLEASE START USING THE NEW SQL ABSTRACTION LAYER. SEE MODULES DOC FOR DETAILS */
   require_once("includes/sql_layer.php");
   $dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
}



And if I place the code that ios required over top of that it makes my LEFT and Right blocks disappear.

Help would be appreciated!

Thank you very much

Sniperz53
 
View user's profile Send private message
64bitguy
The Mouse Is Extension Of Arm


Joined: Mar 06, 2004
Posts: 1159
Location: Sanbornton, NH USA

PostPosted: Thu Nov 10, 2005 11:29 am Reply with quote

Hi

Please be sure to upgrade to the latest version of "Patched" for your version of PHP-Nuke.

See Only registered users can see links on this board! Get registered or login! and look in the middle of the page for "Patched 3.1" for your particular Nuke version.

After uploading those files over your existing nuke installation, and running the update program, you should then have files the closely resembles the NukeSentinel installation instructructions.

Finally, you should be aware that running PHP-Nuke 7.7, 7.8 or 7.9 is VERY VERY dangerous and these versions should be avoided at all costs due to the many security issues that they have, nevermind the thousands of unpatched/unfixed bugs that exist in them. To summarize what everyone else will tell you, "DON'T RUN IT, DON'T RUN IT, JUST DON'T DO IT!" With that said, if you get hacked or have tons of problems, even with "Patched" remember, we told you so. Sad

Last but not least, you should avoid autothemes at all costs as the authors have not maintained this solution and it has many issues relative to working with Nuke. Two years between updates is just not acceptable in this environment and .8 is just as bad (in terms of issues) as the older versions. Sorry, but I've seen too many problems to even consider endorsing that solution, especially when the authors claimed to not even know what "Patched" is as recently as 2 months ago. In a nutshell, if you need help with Autothemes, you're on your own because my first hand experience has been that they just point fingers whenever there is a problem. I've also seen nothing but problems from the people selling individual autothemes that say they are designed to work with Nuke; however, all of the pointers and Nuke language definitions are all wrong and they hardly ever work right. In some cases, not at all, despite claims to the contrary. This may be fine for PostNuke (I honestly don't know) but for PHP-Nuke it simply stinks up the room.

Steph

_________________
Steph Benoit Only registered users can see links on this board! Get registered or login!
1CMS, 100% Section 508 and W3C XHTML/CSS Compliant (Truly) 
View user's profile Send private message Visit poster's website
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©